﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace VaxVoIP
{
    public partial class PhoneForm : UserControl
    {
        private void BtnResetRecording_Click(object sender, RoutedEventArgs e)
        {
            int nLineNo = ListBoxLines.SelectedIndex;

            m_objVaxUserAgent.ResetRecording(nLineNo);
        }

        private void BtnStartRecording_Click(object sender, RoutedEventArgs e)
        {
            int nLineNo = ListBoxLines.SelectedIndex;

            if (BtnStartRecording.Content.ToString() == "Start")
            {
                if (EditRecordFileName.Text.Length == 0)
                {
                    MessageBox.Show("File name is not valid.", "VaxVoIP SDK", MessageBoxButton.OK, MessageBoxImage.Exclamation);
                    return;
                }

                m_objVaxUserAgent.StartRecording(nLineNo, EditRecordFileName.Text, 2, 0);
                BtnStartRecording.Content = "Stop";
            }
            else
            {
                m_objVaxUserAgent.StopRecording(nLineNo);
                BtnStartRecording.Content = "Sart";
            }
        }
    }
}
